Summary: Library of python code used by programs in Red Hat Linux
Name: rhpl
Version: 0.110.6
Release: 1
Source0: %{name}-%{version}.tar.gz
License: GPL
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: python-devel, gettext
%ifnarch s390 s390x
Requires: pyxf86config >= 0.3.2
%endif

%description
The rhpl package contains Python code used by programs in Red Hat Linux.

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=${RPM_BUILD_ROOT} install

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc README ChangeLog 
%{_libdir}/python2.2/site-packages/rhpl
%{_sbindir}/ddcprobe
%{_datadir}/rhpl


%changelog
* Fri Jul 16 2004 Jeremy Katz <katzj@redhat.com> - 0.110.6-1
- newer pSeries blades show up as CHRP instead of CHRP IBM (#127782)

* Mon Jun 14 2004 Jeremy Katz <katzj@redhat.com> - 0.110.5-1
- videocard.py: bad hack to handle drivers listed in Cards that don't 
  exist for an arch (#115007)

* Tue Apr  6 2004 Jeremy Katz <katzj@redhat.com> - 0.110.4-1
- fix my last fix

* Tue Apr  6 2004 Jeremy Katz <katzj@redhat.com> - 0.110.3-1
- videocard.py: fallback to vesa driver on x86_64 too (#117284)

* Fri Mar  5 2004 Jeremy Katz <katzj@redhat.com> - 0.110.2-1
- Fix silly bug in vendor detection for x86_64 (#117585)

* Thu Feb 12 2004 Jeremy Katz <katzj@redhat.com> 0.110.1-1
- don't write out videoram (#106221)
- add ia32e

* Fri Aug 29 2003 Harald Hoyer <harald@redhat.de> 0.110-1
- removed memory leak

* Mon Jul 14 2003 Jeremy Katz <katzj@redhat.com> 0.109-1
- multilib on ia64

* Wed Jul 09 2003 Harald Hoyer <harald@redhat.de> 0.108-3
- rebuilt with all files updated from cvs

* Tue Jul  8 2003 Jeremy Katz <katzj@redhat.com> 0.108-1
- comps.py: preserve xml doc/nodes
- translate.py: make it so we can use translations from update disks in 
  anaconda

* Thu Jun 12 2003 Brent Fox <bfox@redhat.com> 0.107-1
- add a get_xconfig() method to xhwstate.py

* Tue Jun 10 2003 Harald Hoyer <harald@redhat.de> 0.106-1
- better regexp in Conf.py
- strip filename from subject

* Fri Jun  6 2003 Jeremy Katz <katzj@redhat.com> 0.105-1
- more biarch fun

* Wed Jun  4 2003 Jeremy Katz <katzj@redhat.com> 0.104-1
- add ppc64[ip]series

* Wed Jun  4 2003 Jeremy Katz <katzj@redhat.com> 0.103.1-1
- arch.py tweaks

* Fri May 30 2003 Jeremy Katz <katzj@redhat.com> 0.103-1
- comps.py extensions for biarch

* Fri May 23 2003 Jeremy Katz <katzj@redhat.com> 0.102.1-1
- fix tyop

* Fri May 23 2003 Jeremy Katz <katzj@redhat.com> 0.102-1
- add arch.py

* Wed May 21 2003 Harald Hoyer <harald@redhat.de> 0.101.1-1
- strip quotes from PAP/CHAP server also
- Conf.py, cope with lines at the end of the file, that have no newline
- speedup some things

* Wed May 07 2003 Michael Fulbright <msf@redhat.com> 0.100.1-1
- fixed simpleconfig.py and how it uppercases keys

* Tue Apr 29 2003 Harald Hoyer <harald@redhat.com> 0.99.1-1
- genClass and ethtool updates

* Thu Apr 24 2003 Brent Fox <bfox@redhat.com> 0.98.1-2
- strip an invalid char from monitor name (bug #87588)

* Wed Apr 23 2003 Jeremy Katz <katzj@redhat.com> 0.98.1-1
- revert broken part of pseries fb change

* Mon Apr 21 2003 Jeremy Katz <katzj@redhat.com> 0.98-1
- handle headless case better

* Fri Apr 18 2003 Jeremy Katz <katzj@redhat.com> 0.97-1
- fixes so that framebuffer can work for use on ppc machines

* Thu Apr  3 2003 Brent Fox <bfox@redhat.com> 0.96-2
- update the list of dri drivers from mharris

* Thu Apr  3 2003 Brent Fox <bfox@redhat.com> 0.96-1
- add ati and i810 to dri supported list in xhwstate.py

* Wed Apr  2 2003 Brent Fox <bfox@redhat.com> 0.95-1
- allow dialog size to be passed into firstboot_gui_window

* Thu Feb 27 2003 Bill Nottingham <notting@redhat.com> 0.94-1
- make py_bind_textdomain_codeset not segfault on ia64 (#85334)

* Mon Feb 24 2003 Jeremy Katz <katzj@redhat.com> 0.93-1
- mouse.py (mouseWindow): try to ensure we have a locale that 
  we can do linedrawing chars for (#84908)

* Wed Feb 12 2003 Brent Fox <bfox@redhat.com> 0.92-1
- add grp_led:scroll to all lines with XkbOptions (bug #82096)

* Tue Feb 11 2003 Brent Fox <bfox@redhat.com> 0.91-1
- convert all toggles to grp:shift_toggle (bug #79287)

* Fri Feb  7 2003 Brent Fox <bfox@redhat.com> 0.90-1
- add grp_led:scroll to all Russian keyboards

* Fri Feb  7 2003 Brent Fox <bfox@redhat.com> 0.89-1
- add translate.textdomain('rhpl') to fix bug #69760

* Thu Feb  6 2003 Matt Wilson <msw@redhat.com> 0.88-1
- only reset the mouse if you have to

* Thu Feb  6 2003 Brent Fox <bfox@redhat.com> 0.87-1
- load additional us keymap for all ru keyboards in keyboard_models.py
- make sure the kbd option gets set in keyboard.py

* Thu Feb  6 2003 Brent Fox <bfox@redhat.com> 0.86-1
- use sv-latin1 for swedish keyboards (bug #80508)

* Wed Feb  5 2003 Matt Wilson <msw@redhat.com> 0.85-1
- autodetect ps/2 wheel mice (#81902)

* Wed Feb  5 2003 Brent Fox <bfox@redhat.com> 0.84-1
- if there are no display Modes in the XF86Config file, create one and default to 800x600 (bug #83314)

* Tue Feb 04 2003 Harald Hoyer <harald@redhat.de> 0.83-1
- ConfPAP fix for quotation

* Fri Jan 31 2003 Jeremy Katz <katzj@redhat.com> 0.81-2
- fix typo

* Fri Jan 31 2003 Adrian Likins <alikins@redhat.com>
- added get_ipaddr, get_netmask, get_broadcast
  to ethtool module

* Fri Jan 31 2003 Harald Hoyer <harald@redhat.de>
- added some BuildRequires

* Thu Jan 30 2003 Jeremy Katz <katzj@redhat.com> 0.80-1
- default non-i386 arches to 8 megs of videoram

* Wed Jan 22 2003 Brent Fox <bfox@redhat.com> 0.79-1
- add us keymap and XkbOptions to non-latin keymaps in keyboard_models.py
- change keyboard.py to handle the XkbOptions field

* Mon Jan 20 2003 Michael Fulbright <msf@redhat.com> 0.78-1
- improved code for LCD guessing

* Fri Jan 17 2003 Michael Fulbright <msf@redhat.com> 0.77-1
- added code to xserver.py to guess LCD size using guesslcd.py

* Fri Jan 17 2003 Brent Fox <bfox@redhat.com> 0.76-1
- changes to firstbootGuiWindow.py for new firstboot look

* Tue Jan 14 2003 Michal Fulbright <msf@redhat.com> 0.75-1
- fix xserver.py to include keyboard import

* Fri Jan 10 2003 Brent Fox <bfox@redhat.com> 0.74-2
- change se-latin1 kbd to se-fi-lat6 according to bug #80508

* Fri Jan  3 2003 Brent Fox <bfox@redhat.com> 0.74-1
- default to pc105 for most keyboards

* Thu Jan  2 2003 Jeremy Katz <katzj@redhat.com> 0.73-3
- make the translate.py change less noisy

* Thu Jan  2 2003 Jeremy Katz <katzj@redhat.com> 0.73-2
- typo fix

* Wed Jan  1 2003 Jeremy Katz <katzj@redhat.com> 0.73-1
- discid.py: add readFromBuffer

* Sun Dec 29 2002 Jeremy Katz <katzj@redhat.com> 
- translate.py: if we fail, at least gracefully fall back instead of 
  causing a traceback (#76104)

* Thu Dec 19 2002 Harald Hoyer <harald@redhat.de> 0.72-1
- added exception.py 

* Tue Dec 17 2002 Jeremy Katz <katzj@redhat.com> 0.71-2
- fix silly typo

* Tue Dec 17 2002 Jeremy Katz <katzj@redhat.com> 0.71-1
- simpleconfig.py: gracefully handle non-existent config files

* Mon Dec 16 2002 Harald Hoyer <harald@redhat.de> 0.70-1
- _setParent() in GenClass::__setitem__

* Fri Dec 13 2002 Jeremy Katz <katzj@redhat.com> 0.69-1
- only probe for the mouse once to fix mouse probing problems
- make keyboard names more consistent (#79354)

* Thu Dec 12 2002 Harald Hoyer <harald@redhat.de> 0.68-1
- genClass: slicing of anonymous lists
- executil: dup2 more output redirectors

* Tue Nov 26 2002 Michael Fulbright <msf@redhat.com> 0.67-1
- Fixed issue related to not defaulting to sane monitor values if monitor
  was not probed.

* Tue Nov 26 2002 Phil Knirsch <pknirsch@redhat.com> 0.66-1
- Fixed -fpic handling for s390 and s390x.

* Thu Nov 21 2002 Michael Fulbright <msf@redhat.com> 0.65-1
- added some code to handle the no mouse setup better

* Thu Nov 21 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- do not require pyxf86config for mainframe

* Tue Nov 19 2002 Michael Fulbright <msf@redhat.com> 0.64-1
- Added new xserver.py which has code to help get X up and running from scratch

* Tue Nov 19 2002 Jeremy Katz <katzj@redhat.com> 0.63-2
- rebuild for all arches

* Fri Nov 15 2002 Brent Fox <bfox@redhat.com> 0.63-1
- Added Latin American (la-latin1) keyboard

* Thu Nov 14 2002 Harald Hoyer <harald@redhat.de> 0.62-1
- removed Alchemist dependency from genClass
- executil extended

* Tue Nov 12 2002 Michael Fulbright <msf@redhat.com> 0.61-1
- big changes as we moved alot of code from redhat-config-xfree86 into xhwstate.py

* Tue Nov  5 2002 Jeremy Katz <katzj@redhat.com> 0.59-1
- access Cards database in /usr/share/hwdata instead of 
  /usr/X11R6/lib/X11 (#73899)
- excludearch x86_64 until python is fixed

* Fri Nov  1 2002 Jeremy Katz <katzj@redhat.com> 0.58-1	
- add macedonian keyboard (#76902)
- find loadkeys for anaconda (#75329)

* Thu Oct 31 2002 Brent Fox <bfox@redhat.com> 0.57-1
- Mark keyboard names for translations

* Mon Oct 21 2002 Brent Fox <bfox@redhat.com> 0.56-1
- Use cz_qwerty keymap for Czech qwerty keyboards

* Thu Oct 10 2002 Jeremy Katz <katzj@redhat.com> 0.55-2
- rebuild so that we actually get object files for the correct architectures

* Wed Oct  9 2002 Dan Walsh <dwalsh@redhat.de> 0.55-1
- removed chmod from ConfSMB.py file protection should remain the same

* Tue Oct  8 2002 Harald Hoyer <harald@redhat.de> 0.54-1
- removed fd/socket leaking

* Tue Oct 08 2002 Phil Knirsch <pknirsch@redhat.com> 0.53-2
- Integreated Karsten Hopp's 64bit bigendian patch for s390x.

* Fri Oct  4 2002 Brent Fox <bfox@redhat.com> 0.53-1
- Allow window icon to be passed into stand_alone in firstboot_gui_window.py

* Thu Oct  3 2002 Jeremy Katz <katzj@redhat.com> 0.52-2
- fixup installation into %%{_libdir}/python2.2/

* Thu Oct  3 2002 Jeremy Katz <katzj@redhat.com> 0.52-1
- iconvmodule.c: PyObject_asReadBuffer() expects *int while iconv() 
  expects size_t.

* Thu Aug 29 2002 Jeremy Katz <katzj@redhat.com> 0.51-1
- src/keyboard_models.py: fix romanian console keymap (#72952)

* Wed Aug 28 2002 Jeremy Katz <katzj@redhat.com> 0.50-1
- diskutil.py: update /etc/mtab

* Fri Aug 23 2002 Michael Fulbright <msf@redhat.com> 0.49-1
- videocard.py: Use unsupported VGA compatible card entry if card unknown

* Thu Aug 22 2002 Brent Fox <bfox@redhat.com> 0.48-1
- translate.py: add ability to set codeset for textdomains not pulled in by us

* Thu Aug 22 2002 Brent Fox <bfox@redhat.com> 0.47-1
- fix another typo in translate.py

* Thu Aug 22 2002 Jeremy Katz <katzj@redhat.com> 0.46-1
- fix a typo in translate.py

* Thu Aug 22 2002 Jeremy Katz <katzj@redhat.com> 0.45-1
- minor mouse fixups (#70289, #71893)

* Wed Aug 21 2002 Michael Fulbright <msf@redhat.com> 0.44-1
- added sanity check to ddcprobe'd range values

* Tue Aug 20 2002 Harald Hoyer <harald@redhat.de> 0.43-1
- fixed genClass.py:toContext()
- ValueError -> TypeError in checkType

* Fri Aug 16 2002 Brent Fox <bfox@redhat.com> 0.42-1
- Mark window title for translations in firstboot_gui_window

* Fri Aug 16 2002 Jeremy Katz <katzj@redhat.com> 0.41-1
- translate.py fixes
- "None - None" is back, but as "No mouse"

* Thu Aug 15 2002 Jeremy Katz <katzj@redhat.com> 0.40-1
- comps.py: handle translated category names

* Wed Aug 14 2002 Harald Hoyer <harald@redhat.de>
- added iwconfig-support to ethtool

* Wed Aug 14 2002 Brent Fox <bfox@redhat.com> 0.37-1
- Call destroy() when a firstboot window exits

* Mon Aug 12 2002 Jeremy Katz <katzj@redhat.com> 0.36-1
- add generic wheel mouse types
- add bad hack to handle packages which should only be installed 
  if another package is installed

* Sun Aug 11 2002 Brent Fox <bfox@redhat.com> 0.35-1
- Create US International keymap line for bug 71105

* Sun Aug 11 2002 Brent Fox <bfox@redhat.com> 0.34-2
- Fix typo that I made with the last build

* Sun Aug 11 2002 Brent Fox <bfox@redhat.com> 0.34-1
- Fix Brazilian abnt2 keyboard map for bug 70351

* Tue Aug  6 2002 Michael Fulbright <msf@redhat.com>
- added sanity checks for sync rates

* Fri Aug  2 2002 Jeremy Katz <katzj@redhat.com>
- keyboard_models.py: be-latin2 isn't a valid keymap

* Wed Jul 31 2002 Jeremy Katz <katzj@redhat.com> 0.32-1
- add losetup, unlosetup, and getUnusedLoop to diskutil

* Tue Jul 30 2002 Brent Fox <bfox@redhat.com> 0.31-1
- remove some dead code
- make the font big for firstboot_gui_window titles

* Thu Jul 25 2002 Jeremy Katz <katzj@redhat.com> 0.30-1
- mouse.py: don't enable emulate three buttons on the fly (#68129)

* Thu Jul 25 2002 Jeremy Katz <katzj@redhat.com> 0.29-1
- translate.py: set up default langs based on environment

* Wed Jul 24 2002 Jonathan Blandford  <jrb@redhat.com> 0.28-1
* add GenericError.py

* Wed Jul 24 2002 Jeremy Katz <katzj@redhat.com> 0.27-2
- actually install _diskutil.so

* Wed Jul 24 2002 Jeremy Katz <katzj@redhat.com> 0.27-1
- diskutil.py, diskutil.c: add some simple disk utility methods (mount, 
  umount, sync, ejectCdrom)

* Mon Jul 22 2002 Jeremy Katz <katzj@redhat.com> 0.26-1
- comps.py: add support for reading group hierarchy

* Thu Jul 17 2002 Brent Fox <bfox@redhat.com> 0.25-1
- Make firstboot windows use GtkDialog instead of GtkWindow

* Wed Jul 17 2002 Brent Fox <bfox@redhat.com> 0.24-3
- Change Poland keyboard to Polish.  Bug #68520

* Wed Jul 17 2002 Michael Fulbright <msf@redhat.com> 0.24-2
- minor typo fix

* Wed Jul 17 2002 Michael Fulbright <msf@redhat.com> 0.24-1
- executil.py: add getfd() function

* Tue Jul 16 2002 Jeremy Katz <katzj@redhat.com> 0.23-1
- comps.py: add metapkg support

* Tue Jul 16 2002 Brent Fox <bfox@redhat.com> 0.22-2
- Call loadkeys if the binary exists when changing keymaps

* Mon Jul 15 2002 Jeremy Katz <katzj@redhat.com> 0.21-1
- fix jp106 entry in keyboard_models
- add method to get list of supported keyboard maps

* Sat Jul 13 2002 Brent Fox <bfox@redhat.com> 0.20-1
- Small change in firstboot_gui_window.py to center popup windows

* Wed Jul 10 2002 Brent Fox <bfox@redhat.com> 0.19-1
- Added a Greek keyboard to keyboard_models.py

* Wed Jul 10 2002 Alexander Larsson <alexl@redhat.com> 0.18-1
- Fixed bug in monitor resoultion support code

* Mon Jul  1 2002 Harald Hoyer <harald@redhat.de> 0.16-1
- updated Conf*.py
- updated genClass
- added ethtool

* Fri Jun 28 2002 Jeremy Katz <katzj@redhat.com> 0.15-1
- comps.py: use libxml2 for xml parsing instead of expat

* Fri Jun 28 2002 Jeremy Katz <katzj@redhat.com> 0.14-1
- only setxkbmap if $DISPLAY is set

* Thu Jun 27 2002 Jeremy Katz <katzj@redhat.com> 0.13-1
- add parser for new comps file

* Wed Jun 26 2002 Michael Fulbright <msf@redhat.com> 0.12-1
- Fix bug of uninitialized data in Mouse class

* Tue Jun 25 2002 Brent Fox <bfox@redhat.com> 0.11-3
- Allow a window title to be passed in

* Wed Jun 19 2002 Brent Fox <bfox@redhat.com> 0.9-4
- Fixed line for German keyboards in keyboard_models.py

* Tue Jun 18 2002 Brent Fox <bfox@redhat.com> 0.9-3
- Remove cancel button from firstboot_gui_window

* Tue Jun 18 2002 Brent Fox <bfox@redhat.com> 0.9-2
- Provide a way to pass keymap name back to firstboot
- Fix error in Slovakian keymap line in keyboard_models.py

* Wed Jun 12 2002 Jeremy Katz <katzj@redhat.com>
- use cz-lat2 for Czechoslovakian keybaord map (#66354)

* Tue Jun 04 2002 Michael Fulbright <msf@redhat.com>
- fixed bug referencing ddcDevice and videoram in card.

* Tue May 28 2002 Jeremy Katz <katzj@redhat.com>
- removed kbd.py, added keyboard.py

* Fri May 24 2002 Michael Fulbright <msf@redhat.com>
- Added kbd.py

* Thu May 23 2002 Alex Larsson <alexl@redhat.com>
- Added /usr/share/rhpl to files list

* Thu May 23 2002 Michael Fulbright <msf@redhat.com>
- added log.py, videocard.py, mouse.py, monitor.py, simpleconfig.py

* Wed May 22 2002 Jeremy Katz <katzj@redhat.com>
- Initial build.


